{
  pkgs,
  ...
}:
{
  home-manager.users.kalle = {
    programs.bash = {
      enable = true;
      shellAliases = {
        # Git aliases
        gg = "git log --graph --abbrev-commit --decorate --format=format:'%C(bold blue)%h%C(reset) - %C(bold cyan)%aD%C(reset) %C(bold green)(%ar)%C(reset)%C(bold yellow)%d%C(reset)%n''          %C(white)%s%C(reset) %C(dim white)- %an (%ae)%C(reset)' --all";
        gca = "git add -A; git commit -a --amend --no-edit";
        gs = "git status";

        # Replace some commands with better versions
        diff = "${pkgs.difftastic}/bin/difft";
      };
      initExtra = ''
        function open() {
            xdg-open $@ &> /dev/null &
        }
      '';
    };

    programs.starship = {
      enable = true;
      settings = {
        add_newline = true;

        # Remove text from nix shell component
        nix_shell.format = "via [$symbol]($style) ";

        git_status.disabled = true;
        package.disabled = true;
      };
    };
  };
}
